Download it now!
Bug 125949 - Presentation does not move forward in Linux (not smooth in Windows)
Summary: Presentation does not move forward in Linux (not smooth in Windows)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.5.0 target:6.4.0.1 target:6....
Keywords: bibisected, regression
: 92919 (view as bug list)
Depends on:
Blocks:
 
Reported: 2019-06-16 08:31 UTC by Gerald Pfeifer
Modified: 2020-10-05 13:34 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Simple presentation (PPTX) (1002.28 KB, application/vnd.ms-powerpoint)
2019-06-16 08:32 UTC, Gerald Pfeifer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gerald Pfeifer 2019-06-16 08:31:49 UTC
Description:
When viewing this file (which I excerpted from a larger PPTX file) in
presentation mode it never gets to the third slide, though it ends after
a few more clicks.

It appears that the display does not advance, while internally it does
progress - and hence ends.

Steps to Reproduce:
1. Open sample document
2. Invoke presentation mode
3. Step through by hitting the <Space> key and notice how the
   presentation stops moving forward on slide 2, i.e., never reaches slide 3

Actual Results:
Presentation advances to slide 3.

Expected Results:
Presentation never goes beyond slide 2.


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.2.3.2
Build ID: 20(Build:2)
CPU threads: 4; OS: Linux 5.1; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Gerald Pfeifer 2019-06-16 08:32:25 UTC
Created attachment 152226 [details]
Simple presentation (PPTX)
Comment 2 Timur 2019-06-17 09:17:55 UTC Comment hidden (obsolete)
Comment 3 Gerald Pfeifer 2019-06-17 10:27:30 UTC
(In reply to Timur from comment #2)
> You attached PPTX that is likely excerpted in LO. We need source PPTX from
> MO or source ODP before it was saved as PPTX in LO and steps to recreate an
> issue. 
> Please understand I didn't test what you wrote because it's not relevant
> what happens "after" the possible original issue with "filesave".

The attached PPTX was excerpted in Office 365. I hope that counts as
"source PPTX from Microsoft Office", too?

The issue I reported 100% reproduces for me with the document attached.
Comment 4 Timur 2019-10-17 09:23:14 UTC
Please understand the difference. 
Larger PPTX might've been MS Office, but your attached file was last saved in LO, as shown inside the file if you unzip it and see app.xml.
It's normally required to attach that original PPTX or better a minimal sample prepared in any MS Office. But I think we can proceed with this one now. 

I tested with LO 6.2.0 and 6.4+ in Windows and no repro, show goes (although there's another issue: transition from slide 1 to 2 is not smooth so background Impress is seen).
I also tested in Linux Mint 19.2 with LO 6.4+ and *repro*, presentation goes to slide 2, doesn't load the image there and ends without slide 3. 
Repro in Linux with LO 4.0 but not LO 3.5. Let's call it regression.

(Note: I had a crash in Mint with LO 6.2 and 6.4+ but seems resolved with today's master. As seen in bug 124729, can be system specific. Probably another issue.)
Comment 5 Timur 2019-10-25 12:41:13 UTC
Hello Stephan, can you please see this regression? I verified commit 


1f14665c5624bc7a502738aa8f4f2bd70a211e72 is the first bad commit
commit 1f14665c5624bc7a502738aa8f4f2bd70a211e72
Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Date:   Tue Dec 11 05:22:26 2012 +0000

    source-hash-d85fd8a85501547d5bb87822d2589a07aed7f2d6
    
    commit d85fd8a85501547d5bb87822d2589a07aed7f2d6
    Author:     Stephan Bergmann <sbergman@redhat.com>
    AuthorDate: Wed Nov 21 12:41:41 2012 +0100
    Commit:     Stephan Bergmann <sbergman@redhat.com>
    CommitDate: Wed Nov 21 12:41:41 2012 +0100
    
        Fix install-gdb-printers for Mac OS X
    
        Change-Id: I685d277806e757fc6247f34d4db7386955dab7b7


https://gerrit.libreoffice.org/plugins/gitiles/core/+/d85fd8a85501547d5bb87822d2589a07aed7f2d6%5E!/

commit	d85fd8a85501547d5bb87822d2589a07aed7f2d6	[log]
author	Stephan Bergmann <sbergman@redhat.com>	Wed Nov 21 12:41:41 2012 +0100
committer	Stephan Bergmann <sbergman@redhat.com>	Wed Nov 21 12:41:41 2012 +0100
tree	71ffb953487bd854afeaed6f632f265658ac5213
parent	3fa0d17b39bebabcf18e35df38572e4d51d05251 [diff]

Fix install-gdb-printers for Mac OS X

Change-Id: I685d277806e757fc6247f34d4db7386955dab7b7


git bisect log
# bad: [423a84c4f7068853974887d98442bc2a2d0cc91b] source-hash-c15927f20d4727c3b8de68497b6949e72f9e6e9e
# good: [65fd30f5cb4cdd37995a33420ed8273c0a29bf00] source-hash-d6cde02dbce8c28c6af836e2dc1120f8a6ef9932
git bisect start 'latest' 'oldest'
# skip: [e02439a3d6297a1f5334fa558ddec5ef4212c574] source-hash-6b8393474974d2af7a2cb3c47b3d5c081b550bdb
git bisect skip e02439a3d6297a1f5334fa558ddec5ef4212c574
# skip: [d1cca78ab77d64482b6643bc643d29dbe2dd1442] source-hash-2d19e9bb07ccff3134f855812dddfda5c07b1fe4
git bisect skip d1cca78ab77d64482b6643bc643d29dbe2dd1442
# bad: [585e04fc6e242295b8a821029acae377dcab7340] source-hash-ae5c574ac24ed8979dcf03da87cd14c078db2a07
git bisect bad 585e04fc6e242295b8a821029acae377dcab7340
# good: [21974bfa867971881326fe3694bc1fb365f20ae1] source-hash-9e8957de203bb9abb208516ad32aee9527feb67b
git bisect good 21974bfa867971881326fe3694bc1fb365f20ae1
# good: [977cf448a89278afffc3dd6ece1dea3d0d695345] source-hash-cbc44df67cfd13849f3de85edcdd39b5fec8b06c
git bisect good 977cf448a89278afffc3dd6ece1dea3d0d695345
# good: [ba6eb41acb8df58f3009920f8ab8b32a3e1b764e] source-hash-ae4e4a11d4300f7448cb6bd170fcb034542caddc
git bisect good ba6eb41acb8df58f3009920f8ab8b32a3e1b764e
# bad: [c3482ad95176ec6762ef03e95d3287ebd5e84905] source-hash-3d4288c1c0b593421c7f6619c88584bdb7c53337
git bisect bad c3482ad95176ec6762ef03e95d3287ebd5e84905
# bad: [1f14665c5624bc7a502738aa8f4f2bd70a211e72] source-hash-d85fd8a85501547d5bb87822d2589a07aed7f2d6
git bisect bad 1f14665c5624bc7a502738aa8f4f2bd70a211e72
# good: [7fd8bdb3b18f50ea0adbc0a5e611f6a844b23189] source-hash-a1ac2538e9b287444500618ab4d2f0f06c25cf34
git bisect good 7fd8bdb3b18f50ea0adbc0a5e611f6a844b23189
# good: [221bf5c0db153e24c67ff29fe614af7cc010a356] source-hash-9210b95bcfd65ae558f445666d9b880e794d4c74
git bisect good 221bf5c0db153e24c67ff29fe614af7cc010a356
# good: [79e02001f27d33b3b478324ab6fba5683413b4d9] source-hash-b6c016da23d309b4ac7d154bc33a22397974ed73
git bisect good 79e02001f27d33b3b478324ab6fba5683413b4d9
# first bad commit: [1f14665c5624bc7a502738aa8f4f2bd70a211e72] source-hash-d85fd8a85501547d5bb87822d2589a07aed7f2d6


Note: with and without commit, there's a crash at the end. Not sure if related to this presentation.
Probably there's more to this presentation, becase not smooth even in Windows, where this described bug is not seen.
Comment 6 Stephan Bergmann 2019-10-28 08:45:24 UTC Comment hidden (obsolete)
Comment 7 Stephan Bergmann 2019-10-28 14:42:02 UTC
(In reply to Stephan Bergmann from comment #6)
> (In reply to Timur from comment #5)
> > Hello Stephan, can you please see this regression? I verified commit 
> 
> please always state the git repo that you used for bibisecting

So from

> 1f14665c5624bc7a502738aa8f4f2bd70a211e72 is the first bad commit
> commit 1f14665c5624bc7a502738aa8f4f2bd70a211e72
> Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
> Date:   Tue Dec 11 05:22:26 2012 +0000

I assume <https://dev-downloads.libreoffice.org/bibisect/linux/bibisect-43all.tar.xz>, and from its

> $ git log -1 1f14665c5624bc7a502738aa8f4f2bd70a211e72^
> commit 79e02001f27d33b3b478324ab6fba5683413b4d9 (tag: source-hash-b6c016da23d309b4ac7d154bc33a22397974ed73)
> Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
> Date:   Tue Dec 11 04:56:54 2012 +0000
> 
>     source-hash-b6c016da23d309b4ac7d154bc33a22397974ed73
>     
>     commit b6c016da23d309b4ac7d154bc33a22397974ed73
>     Author:     Tor Lillqvist <tml@iki.fi>
>     AuthorDate: Mon Nov 19 11:16:15 2012 +0200
>     Commit:     Tor Lillqvist <tlillqvist@suse.com>
>     CommitDate: Mon Nov 19 12:26:44 2012 +0200
>     
>         Use gb_VISIBILITY_FLAGS
>     
>         Change-Id: I6be70c0b8d73f4d1d1428c0df94ea6d8bdc782f7

we get a source commit set of 325 commits where the error was presumably introduced:

> $ git log --oneline b6c016da23d309b4ac7d154bc33a22397974ed73..d85fd8a85501547d5bb87822d2589a07aed7f2d6
> d85fd8a85501 Fix install-gdb-printers for Mac OS X
> 3fa0d17b39be add regression test for CVE-2012-3755
> fd760bf54122 bump xmlfilter settings dialog for new helpids
> 9aa8f75a9cd3 remove OUSTR define
> e53da8804d00 xslt dialog is supposed to be a modeless dialog
> e9be9ba80835 make the word count dialog the right size with disabled CJK word counting
> 9ac1f0aae7d1 Updated core Project: help  bfe8b1eea5e372ff7198d841caa20c72a57610e0 update xml filter settings dialog helpids to .ui
> e22be4a8e4da scp2: more cairo fixes
> d34ce24fb225 Uploading libvisio 0.0.21 release
> 4f4870ef032a Improve gbuild help text with PARALLELISM env var.
> 0b21dd2593fa Fix datasource choices offered by the Address Book wizard
> e860c78e2390 Use subset of ICU data in a bundled ICU
> 14785648d553 scp2: adapt after cairo/pixman gbuildification
> 33e63a1562cb Fix fdo#57353 correct moveTo handling for emf path recording
> 4166e79430fd Fix submodules
> 7855aef5a5ab we use gtk only for unix gui
> e8f1df149e88 cairo will be tested for with guibase unx even without gtk
> 20362a86f8ff "newtrans.1.0" -> "translations"
> 7f0bf0941c29 dirent.h doesn't exist on windows
> 24d78519af49 pywizards: fix daily build. it failed when importing collections
> 51767739403d pyfax: replace xrange
> 12634c14249f pyfax: fix a mistake
> 34fbbe1af85c pyfax: exceptions are python3 compatible
> bb16e912760d Remove duplicate files
> 4c543284b5d4 Added Tango icons
> 1aad15bf3968 sal_Bool to bool
> 4b9c10e298a5 fdo#57285 restore acceptsURL logic
> d23764182ccb check harder whether to build cairo
> adbe531ef00b cairo: to actually use the right cairo-version.h...
> de14220ae5b5 cairo: add missing dependencies, and add include dir...
> 827c3806ada7 repo-list is gone since 664012b313f3c3cd5666fc6f943fc8152e503e23
> 81fc9abeb87e tail_build: forgot to merge build.lst after cairo is in
> 6c1282c1fa0d fix typo
> c75ed68f0563 translations is a source-only module
> 7ad55015326e work around ambiguity with msvc and old gcc
> ca00713a613f offapi: rename XModify.InstalliGStreamerResources
> 079485a6486b sal, cppuhelper, udkapi, offapi: s/@since 3.7/@since 4.0/
> ec8dcf58e95b Updated core Project: dictionaries  e295c6f831f0435fc5a68ea0fd1a50bcba76ea16 translations is a source-only module
> 2cb7ba189d30 cairo: convert to gbuild
> 835d0fb70097 WaE ignoring return value, this time really
> b420358033fa WaE ignoring return value
> 53ad646f54f8 Enforce use of accessors on gen.hxx structures
> 5e5c11c664f6 fdo#42070-Fix RTL support in presenter console
> 4012983def85 Updated core Project: translations  ae82c7e8c304794a9a534c6dd202b5d94c32e82a add missing po file for filter/uiconfig
> 0894db6f532a Resolves: fdo#56882 font list in insert symbols not sorted
> bcafd193e743 convert xslt filter dialog to .ui
> 3f2f4f15e20b loplugin: fixed busted indent
> 9b6b25e71338 WaE: -Wempty-body
> 6a9f0cdc021b use LanguageTag
> 9a320f283f32 use LanguageTag
> 7752d65999fd use LanguageTag
> 71ee467a12a4 No more tubes res file
> ee6bfe1910b6 use LanguageTag
> 9de9c430ca36 Blind fix for MACOSX-only MsLangId::convertIsoNamesToLanguage leftover
> 2aa31da545ef clang plugin warnings
> 1ed9af9a4419 skip 'else' from a macro expansion too
> 13cca3de5426 incorrect body alignment
> 0465fa4a8c60 unused variable
> 7753bbb8b160 Fix libxml2 usage in l10ntools
> 93d021a7803b lo-commit-stat: allow to generate more logs at once
> 01db9edab12b bump product version to 4.0.0.0.alpha1+, release number to 1
> bbd16d4c40dd Updated core Project: translations  2333133e2c4422089ab79519effc359578bebddf add tudes po files
> b134b6dd7684 slowly stabbing MsLangId::convert...() to death
> d5d7232fb5ea fix readlicense_oo makefile, po file moved
> 88ada48f9da1 -Werror=trigraphs
> fa88b3717d58 Merge branch 'feature/killsdf'
> 54cd57e03e11 Updated core Project: translations  b2cf0bf6fb5d098ed7997099349b74de8fb5e1f1 initial import of LibreOffice 4.0 translations
> 56d3de736043 Bin pointless _SOLAR__PRIVATE which was always 1 anyway
> a0adefdc4991 Update to match SDK r21
> c0ae8f9a03ab Improve error reporting
> 50b4b0db8bcf Add comphelper/configuration.hxx functions to unusedcode.exclude
> 954f991ba8b1 "tubes" missing from l10n project list
> 4460f406a4c3 android: don't load the document after every rotation
> fd9101980439 Updated core Project: help  66abeb18556b468ea3d97cea78dcd8e9f0c94380 translations is a source-only module
> a1d9caffa38b android: move toolkit and dummySmallDevice to bootstrapContext as well
> 783d13a92769 Rename style called "Default" to "Default Style" + First Cap Some Others too.
> 7407673dee25 Revert "Hide the rulers in Writer by default for a cleaner look"
> a6139f6fe6d4 Key different browser plugin features to specific flags
> 4c359c22e12a android: don't bootstrap after every rotation in DocumentLoader
> 9b3d96fddd21 fdo#57059 - fix crasher rendering borders for very small windows.
> 3d55b14aa23a remove license header that confuses lngconvex
> b0126a2ea297 do not use exitcode 0 on failure
> a54e92737e3e README.cross: typo
> 98f97b45f576 These should talk about "OpenOffice.org" after all
> fecd6bc21dca Remove merge junk
> d42500f1f0a9 lngconvex needs liblangtag data
> 4395680011e5 fdo#51304: Remove @author annotation
> 677a3f75e77b sal_Bool to bool
> a7261b424716 Updated core Project: help  a6e68151d44f357d5828d3a75193d67863226b12 Fix dependacies in help
> 073ff5518f2e Generate qtz properties
> 23ffae787b9b Reardme.xrm move up one directory
> 9b24ce6da284 use LanguageTag
> 160cfb5e5e4a Bin the HACK() sillyness
> debea9d3250e no matching function for call to 'max(int, long int)'
> 96682a78cfe0 Fix misleading comment
> 01e9e5672fe8 Xcode says "'hash_set' file not found", and it seems unnecessary?
> daeed90f4586 re-base on ALv2 code. Includes:
> 19e8dd66cb8a Revert "sb140: #i117084# do not leak Lockfile instance"
> 0d89cf29adf7 Revert "sb140: #i116910# do not leak Thread_Impl"
> 7e7c1fd57629 impress211: #i110990# Fixed slide show spanning multiple displays on Windows.
> 7429ab2e2caa Use icu regex in l10ntools instead of i18nregexp
> fe985aaa8ef3 use LanguageTag
> f3221085e3b8 export embedded spreadsheet(s), fixes n#780830
> 787704495a61 limit buSzPct range
> 39afe720fe2c lo-pack-sources: use module instead of piece
> 36e2f00bca17 use LanguageTag
> 0746c95f260c lo-commit-stat: make it working with git submodules
> f9059d4eee8e Key all browser plugin features to --enable-nsplugin
> b479f7f7675b lo-pack-sources: use the same top-level directory in all tarballs
> ea64122c013f Further SYSTEM_MOZILLA/SYSTEM_NSS clean-up
> 7615f62b81be warning C4805: '==': unsafe mix of bool and sal_Bool
> 7228c24e3836 Stop a memory leak in text_textsearch.cxx
> a05e1e4967a2 fdo#57224: Fix logic of considering optional/ambiguous value as "disabled"
> 8648c974ea5e Clean-up "SYSTEM_MOZILLA" -> "SYSTEM_NSS"
> 8ac150eb163b use LanguageTag
> c82935d52db0 Extend localization to mysqlc
> ce1d0822d0a0 warning C4100: unreferenced formal parameter
> d7c5f37d1370 Some clean-up
> 6f9c3bc8edc9 fdo#57224: Preserve disabled-state across reinstallDeployedExtensions
> aafe2fcbcb75 database names are case insensitive, fdo#51309
> 98e9b5dc4021 Use gb_VISIBILITY_FLAGS
> 1f8d5eed2a10 python3: fix typos in makefile
> 760ef2ef7457 SvNumberFormatter: warning C4701 pot. uninitialized variable nCheckPos used
> 4e0766bced73 unusedcode exclude file: symbols known to be required
> fe71e7bd0c76 SalColormap: -Werror=conversion-null
> ad913681c0e0 n#780645 DOCX import: add support for fixed column width
> 63cb9b5ee42c Clean up desktop/test/deployment/{active,passive}
> f83cf4e4c093 Try to use -fvisibility=hidden when DISABLE_DYNLOADING
> 3f469dd69c2e Fix some encoding problem in treemerge
> b4cbfaa0d845 Updated core Project: help  55742016f74d1ec3a8f6f146457b34db675dac15 remove obsoleted part from makefile
> 4a91105b826d Updated core Project: help  c96494d43ebda1848c55a31ef187646783dead00 Localize tree files in help
> 8d1775f2e581 fix makefile
> 06d5579c9291 Localize tree files in help
> 5d84ae59e70b Localize xhp files in help
> fedd4a578e8e fix makefile
> c48c4ace3630 Correct skipping source file line of msgctxt
> d15706ec0ac0 Revert "Write source file into po entries' msgctxt"
> ce48aa148865 Revert "Correct skiping source file line of  msgctxt"
> 7f81bbb1c7f0 Correct skiping source file line of  msgctxt
> b0f07bbbc4f1 Write source file into po entries' msgctxt
> 124dc60e5519 Revert "put filename into msgctxt, because po entries must be unique"
> 889574a50c8f put filename into msgctxt, because po entries must be unique
> 302a099e5264 Write source file into po entries' msgctxt
> fea5e609ba80 Last changes in renewpo for migration
> f6147cbe1c60 Handle dictionaries in the same way in localize
> 3777191e9540 Delete empty x-comment from shells.src
> 50d6578f2cf1 Resolves: fdo#57107 processing translatable child nodes twice
> 6cfa7552eebf fix XML tag check in help and readme translations
> 0a7189a3b2d8 remove obsoleted gsicheck tool
> deaceba0c270 XML tag check in help and readme translations
> 06ec1c089519 Merge branch 'master' into feature/killsdf
> 8e0d67bed546 Add some check to renewpo
> 643ffdf621a0 Add an extra empty line to lngmerge
> ed879cdf2957 Correct typo in po header
> 9e682e30e7cd Localize.cxx add correct header to po
> 428d9e15f986 Delete unused files
> 0853451b46f7 Correct propmerge
> 0fd7f81ec676 Implement new treex executable
> ef941c6e78cb Delete useless slashes
> 0c7f8e6d0c2a Delete some unneeded checking from export2.cxx
> 8f57a9d2a186 Correct some naming in propex
> 4147b2646a75 Cleanup in InstallModulTarget.mk
> 5a898179a153 Correct POFILE definition in ExtensionTarget.mk
> 72e2db3aba30 Correct helptree localization in swext
> dbc5c63bb3d3 Correct checksize.pl not to work with sdf
> 5d2f601e391a Correct helpfile localization in sdext
> e5ce011c3f32 Merge branch 'master' into feature/killsdf
> c6b26144c93a Use isFuzzy() instead of getFuzzy()
> 471f2fc3196b Use MsgCtxt, MsgId and MsgCtxt
> 8a3ee4e765d4 Move GenPoEntry out of header
> 06175e8b1962 Correct lngmerge not to work with eof
> a76c979c1771 Delete WhiteSpace member of GenPoEntry
> 9ebb37f39bb8 Relocate KeyId to PoEntry
> 1ef83f535f63 Use _t suffix for typedef
> 63af8783bcb4 Use static, lcl_ and anonymus namespace
> 961728d58cb8 Make renewpo to ignore double id in xml/xrm
> 247bac3266ee Make an end of xrmex id duplication
> 297531a3b3aa remove propex/propmerge Perl scrips
> 6134c08251ab typos
> 73ed390a7ff6 Correct wrong memory addressing
> f73618e9dea0 Move propex/propmerge code to C++
> f9e4d3bfe8ee Make Export::handleArguments method safer
> a418748140f9 Extract argument-handling to one source file
> 8b86cb65933c Ui merge from po files
> 39bcbb571158 Add new signature of isNextGroup
> d378badd6149 Cleanup in module_ogltrans.ulf
> adfa2653be93 Delete german text from registryitem_math.ulf
> 85c93d57c46d Ulfex ignores comments during extraction too
> afcfb2fb2628 One little correction
> e3bf6418a86c Correct ulfex to ignore comments
> 8b22407ef36d Add some new checking
> 6ad53b64742f fdo#50163 move definition of PLATFORMID into configure.in
> 39bac3f6c0a2 translations is a source-only module
> 3c31c3c4b3ca Prefixify textfd
> facb07ac2bb9 Add back compatible Hungarian date format acceptance
> c2346026dda8 Deduplication of aEmptyStr for disable-dynlinking
> f414326d862c Deduplication of ImplGetSupportedMacroItems for disable-dynlinking
> 26af0cf3faef Deduplication of NavigationOrderAccess for disable-dynlinking
> 618dd74950d9 Deduplication of lcl_HasOnlyControls for disable-dynlinking
> a22c7d8fa366 Prefixify t602filter
> 4a1e37a66c20 Prefixify svgfilter
> 645181f46472 Prefixify lotuswordpro
> 1297ded2de9c Deduplication of TemplatePopup_Impl for disable-dynlinking
> 1a597d6a5919 configure.in: edit message checking for new GStreamer 1.0
> dc27f1891ec2 use "LibreOffice" as the default value of ProductKey for crashrep
> 074236253344 Fail early if getPackageLocation fails; plus clean-up
> 1cccf3b255ac Revert "take out @PLATFORM@ from extension ID"
> a428b694a63f fdo#52475 fix import of RTF_CHCBPAT with value 0
> 36158d016420 menus are way too wide, wrong checkbox/radiobutton width
> 61b2f6f9929d add saxon to tail_build
> 34af69ddf3ae fix InternalUnoApi IDL deps
> 57ec0707acb3 add missing deps on headers to static libs
> 9b618d894af9 do not rely on target-spec. var. inheritance
> 398f915a5bfa drop unused include
> 504a5eb0c02f add missing dep for tools/errcode.hxx
> dab0d5153605 add missing deps for tools/color.hxx
> da059ff6377c gbuildification of saxon
> d9947fcc93c0 create guids that excel accepts
> 378d2f795f42 Make Reference::iset_throw work with multiple-inheritance interfaces
> 9aa4f29e6e3f installer::profiles: Test and rewrite sorting_profile
> 844920c62656 installer: Create new read_ziplist function.
> 015cf38a490a add sal and xml2cmp back to build.pl deps
> c7188e3f7b92 Update in Brazilian autocorrection
> 2892109f0369 writerfilter: unused includes in DomainMapper
> efff52047159 sw: finish cleanup of rtfimport test
> 68875dc3feed sw: clean up one more test
> 9cfbed4d0306 sw: more testcase cleanup
> 1d17b811d28e sw: cleanup in rtfimport test
> 6c4bcd8aa1aa soltools: remove unused files
> 6976fc91256b soltools: build again ldump4 for Windows
> b8274cbc36a2 gettext depends on sal...
> 28f669c72fe0 fdo#31405 CommandType is a LONG, so use a sal_Int32 to retrieve it
> 4b87379e5fa5 remove superfluous linkoo output
> f4952afb494f introduce some new top level targets
> 5f975a59e2e7 fdo #50343: Fixed crash on xlsx import of file with array formula
> 3b5f672bee12 Revert "gb_PYTHON_PRECOMMAND is only defined after gb_PYTHON"
> d1a8bdba34d0 vertical space savings
> 1a8428a17ec9 move gb_Executable_EXT_for_build to platform/
> 8f73ed78cb7e gbuild: gb_Library_TARGETS should really not be needed now
> a645c4cb0660 soltools: fix windows build
> 757d9710f78d gb_PYTHON_PRECOMMAND is only defined after gb_PYTHON
> f5f06fb01676 Use comphelper::getComponentContext
> ee3443256239 Some clean up
> 3639d59401b3 the build tools need to know executable extension
> 24c0959ae2af fix windows build
> e09e9bfb89e9 re-base on ALv2 code.
> 3e882cf60af6 fs34b: #i117552# check if query before call getByName in every case
> 67e048223619 fs34b: after the test, close all documents opened during the test
> f1b1ae76246c soltools conversion to gbuild
> 62ca77267c18 sc/qa/unit: recover xDocSh->DoClose()
> b3f10b9772e4 add missing dep on cosv headers
> b7ab3be54c34 fix dep on internal ucpp
> e50b3f0ecc8f add supporting target and options to generate patches for ExternalProjects
> 5e651590b298 hide external library neon's warnings
> a49bf649a239 add tomcat to tail_build
> 84d8fe804715 add apache_commons to tail_build
> e9816ef937ad beautify Module_tailbuild a bit
> aac912e02fee gbuildify tomcat
> 78253a783605 Make --enable-64-bit automatically turn on --enable-coretext
> 8c2662b33199 No need for BITNESS_OVERRIDE in makefilery as CPU etc work fine
> ac9d8ed30b81 Workaround for boost problem with the 10.7 SDK
> aa03698b88e9 RepositoryExternal: internal libpng requires zlib as well
> e8bf43c514d6 vcl: fix gtk3 build breakage due to forgotten use_libraries
> fd028e32bfdd vba procedures and macro names will result in crash, fdo#55174
> 602d3370d5c8 use a as prefix for local variables
> cd00b5eed8d1 fetime of mpCondFormat is more complex, fdo#55379
> 873e0883eb0a halt corrupted styles with multi-saved xlsx document fdo#55418
> 3f2dd33e269a Unwind some of the resource ID nastiness between sc and svx.
> 3c9b81c301fc fix xlsx export missing alignment attributes with cellstyle fdo#55417
> 7cd973eeaa4c rhbz#826526 Inform user about unsupported PDF encryption formats
> 4cf877162079 another oops in svx...
> 8a7fa6f9d96b The graphite page was moved
> 74f8d6ea4e3f add the remaining parts to previous commit
> 165b1f82608c fdo#54940 - make editing relative refs more intuitive to me
> b8c43b5332dc double-click on a conditional format inspects / edits it.
> fb6df25eb2ec auto-expand the first conditional format in the list.
> 386b13b2b032 improve conditional formatting height calculations.
> bf1802ffa34e sw/qa: more getProperty() usage in extras
> b4b9fb5cfd85 fix WNT build: missed one oleaut32
> adbdb8e4d94c hide clucene warnings under the carpet to avoid poluting make's output
> ca2fd69e0450 vcl: remove gb_STDLIBS that crept in today
> f011af716e29 gbuild: invert handling of standard system libraries:
> 33bf3bd544b2 gbuild: OpenBSD: remove custom gb_LinkTarget__command_dynamiclink:
> 78ea81418a7a bean: just use AWTLIB on all platfroms to simplify this
> 8831c592e802 gbuild: gb_Library_PLAINLIBS_NONE cleanup for WNT:
> 578e195cf312 gbuild: gb_Library_PLAINLIBS_NONE cleanup for unxgcc/solaris
> c9a744451529 gbuild: gb_Library_PLAINLIBS_NONE cleanup for android
> 654a5c7b3099 gbuild: gb_Library_PLAINLIBS_NONE cleanup for Mac
> ecddbecedccf gbuild: clean up Mac OS X framework handling:
> 4ad9285d302e vcl: clean up that Xinerama linkage...
> 35811f025fd6 gbuild: clean up usage of weird x11_extensions module etc.
> 5b166c5cc860 gbuild: remove libraries handled by RepositoryExternal.mk
> 816ec4b0933e gbuild: replace direct gb_STDLIBS use with ...
> 6f6f7a17dc82 gbuild: split uwinapi out of gb_STDLIBS
> 3cd514df9382 chart2: remove obsolete gcc 3.0.4 workaround
> 2d9cf1aaf124 WaE: some warnings on RHEL-6 gcc
> ecc7820a93ca Use po for merge of readme.xrm
> 9d300551b3da Use new startsWith() method of OString
> 0359041aac89 Corrections for merge
> 004f4fae87fe Correct escaping tags
> 408acea40bf2 Add correct input for helpex
> f1cbd2dc05c6 Use ascii charachters to seperate qtzi
> 4869d45d8e6b Make error message clearer in localize
> 0e138f246cc4 Move setting of po msgid to constructor
> ca12be682f28 Make Po classes robuster
> 9baaced8b636 Not use initializer-list for vector
> a6e55d489b61 Make l10ntools works with i18nregexp
> 25e2d8eefd03 depend on po files not on localize.sdf
> dbac379f77a0 Merge branch 'master' into feature/killsdf
> 822ac662c758 Correct dependancies in makefiles
> 27335522a2bf Use PoEntry and PoHeader more like an interface
> ab063326af9e remove inclusion of deprecated header
> 161f4ac95ae3 Use po file for merge 1. step
> 42a2fb1c2475 Make interface for PoEntry
> dd83185b004e Correct KeyId generator
> 8a8a39c4c129 Implement more Po method for merge
> 574ddaba5315 Make Regexpr class safer
> 61eadf2df432 More cleanup aka clean up cleanup
> ecfa813595cb Some cleanup
> 6c03bb4ab1e9 Improve KeyId generation
> 305ecb308a9b Make renew working well
> 0319a1c8d1df Some improvement in po classes
> 437ae002185a Renew localization and kill sdf 1.step
> 42688495edac typo fix in comment
> 61c312d27176 typo fix in comment
Comment 8 Timur 2019-10-30 08:09:29 UTC
(In reply to Stephan Bergmann from comment #6)
> please always state the git repo that you used for bibisecting
Sorry, yes, it's 43all in Linux.
Comment 9 Commit Notification 2019-12-17 06:14:35 UTC
Gülşah Köse committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/8eb2d2972583b909a249f5b0f22a9b1fbf533d24

tdf#125949 Allow the slide to continue with freezing animation.

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2019-12-17 09:05:01 UTC
Gülşah Köse committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/0741ab9d642f63f8c19720cc14335bf72f366b38

tdf#125949 Allow the slide to continue with freezing animation.

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2019-12-18 20:55:44 UTC
Gülşah Köse committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/3e88fc6b0eef06e1e12fcfe765e3092c6c06ce5c

tdf#125949 Check hardware acceleration on slideshow.

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2019-12-19 06:04:05 UTC
Gülşah Köse committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/dc8706343cebdebc0c1ae2ea00075455088534c8

tdf#125949 Check hardware acceleration on slideshow.

It will be available in 6.4.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2019-12-19 08:25:50 UTC
Gülşah Köse committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/6004d2f587ec739570a2653ecb4f0e855f5e1ade

tdf#125949 Allow the slide to continue with freezing animation.

It will be available in 6.3.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2019-12-20 09:50:13 UTC
Gülşah Köse committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/46b3635facf318d50ba806b8ef9124984d8523c3

tdf#125949 Check hardware acceleration on slideshow.

It will be available in 6.3.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Gerald Pfeifer 2020-01-09 11:05:42 UTC
Verifying as fixed in head (as the original bug submitter); thank you!

Version: 6.5.0.0.alpha0+
Build ID: 8930a7d8b8e649336300d98f0a1f27114ad392ea
CPU threads: 4; OS: Linux 5.3; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-12-28_16:33:05
Comment 16 Timur 2020-10-05 13:34:29 UTC
*** Bug 92919 has been marked as a duplicate of this bug. ***